using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Model.domain
* 唯一标识：8c0a747f-0ee1-4c2a-957a-95ff8345896f
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-04-09 16:17:47
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Model.domain
{
    [SugarTable("wms_raw_outstock"), TenantAttribute("mes")]
    public class WmsRawOutstock
    {

       
        [SugarColumn(ColumnName = "raw_outstock_id", IsPrimaryKey = true, IsIdentity = true)]
        public long rawOutstockId { get; set; }

        /// <summary>
        /// 任务编号
        /// </summary>
        [SugarColumn(ColumnName = "task_code")]
        public string taskCode { get; set; }

        /// <summary>
        /// 仓库ID;领料时需要保存
        /// </summary>
        [SugarColumn(ColumnName = "warehouse_id")]
        public long? warehouseId { get; set; }

        /// <summary>
        /// 库位编码
        /// </summary>
        [SugarColumn(ColumnName = "location_code")]
        public string locationCode { get; set; }

        /// <summary>
        /// 销售订单ID
        /// </summary>
        [SugarColumn(ColumnName = "order_id")]
        public long? orderId { get; set; }

        /// <summary>
        /// 计划编号,关联mes_product_plan_info的plan_code
        /// </summary>
        [SugarColumn(ColumnName = "plan_code")]
        public string planCode { get; set; }

        /// <summary>
        /// 计划明细编号,关联mes_product_plan_detail的plan_detail_code
        /// </summary>
        [SugarColumn(ColumnName = "plan_detail_code")]
        public string planDetailCode { get; set; }

        /// <summary>
        /// 所属工位，关联mes_base_station_info的station_id
        /// </summary>
        [SugarColumn(ColumnName = "station_id")]
        public int? stationId { get; set; }


        [SugarColumn(ColumnName = "material_id")]
        public long? materialId { get; set; }

        /// <summary>
        /// 物料批次
        /// </summary>
        [SugarColumn(ColumnName = "material_batch")]
        public string materialBatch { get; set; }

        /// <summary>
        /// 托盘RFID代码
        /// </summary>
        [SugarColumn(ColumnName = "pallet_info_code")]
        public string palletInfoCode { get; set; }

        /// <summary>
        /// 计划出库数量
        /// </summary>
        [SugarColumn(ColumnName = "outstock_amount")]
        public decimal outstockAmount { get; set; }

        /// <summary>
        /// 已出库数量
        /// </summary>
        [SugarColumn(ColumnName = "real_outstock_amount")]
        public decimal? realOutstockAmount { get; set; }

        /// <summary>
        /// 出库目的地
        /// </summary>
        [SugarColumn(ColumnName = "end_station_code")]
        public string endStationCode { get; set; }

        /// <summary>
        /// 操作类型(0自动,1人工,2强制,3调度)
        /// </summary>
        [SugarColumn(ColumnName = "operation_type")]
        public string operationType { get; set; }

        /// <summary>
        /// 任务类型(1生产领料,2拆分出库,3组装出库,9其他)
        /// </summary>
        [SugarColumn(ColumnName = "task_type")]
        public string taskType { get; set; }

        /// <summary>
        /// 申请原因
        /// </summary>
        [SugarColumn(ColumnName = "apply_reason")]
        public string applyReason { get; set; }

        /// <summary>
        /// 审核原因
        /// </summary>
        [SugarColumn(ColumnName = "audit_reason")]
        public string auditReason { get; set; }

        /// <summary>
        /// 审核状态(0待审核,1审核通过,2审核未通过)
        /// </summary>
        [SugarColumn(ColumnName = "audit_status")]
        public string auditStatus { get; set; }

        /// <summary>
        /// 执行状态(0待执行,1执行中,2执行完成)
        /// </summary>
        [SugarColumn(ColumnName = "execute_status")]
        public string executeStatus { get; set; }

        /// <summary>
        /// 申请人
        /// </summary>
        [SugarColumn(ColumnName = "apply_by")]
        public string applyBy { get; set; }

        /// <summary>
        /// 申请时间
        /// </summary>
        [SugarColumn(ColumnName = "apply_date")]
        public DateTime? applyDate { get; set; }

        /// <summary>
        /// 审核人
        /// </summary>
        [SugarColumn(ColumnName = "audit_by")]
        public string auditBy { get; set; }

        /// <summary>
        /// 审核时间
        /// </summary>
        [SugarColumn(ColumnName = "audit_date")]
        public DateTime? auditDate { get; set; }

        /// <summary>
        /// 最后更新人
        /// </summary>
        [SugarColumn(ColumnName = "update_by")]
        public string updateBy { get; set; }

        /// <summary>
        /// 最后更新时间
        /// </summary>
        [SugarColumn(ColumnName = "update_date")]
        public DateTime? updateDate { get; set; }

        /// <summary>
        /// 执行开始时间
        /// </summary>
        [SugarColumn(ColumnName = "begin_time")]
        public DateTime? beginTime { get; set; }

        /// <summary>
        /// 执行结束时间
        /// </summary>
        [SugarColumn(ColumnName = "end_time")]
        public DateTime? endTime { get; set; }
    }
}
